import { useContext, useMemo } from 'react';
import ResponsiveContext from './ResponsiveContext';

var useIsMobile = function useIsMobile() {
  var _useContext = useContext(ResponsiveContext),
      isCalculated = _useContext.isCalculated,
      lessThan = _useContext.lessThan;

  var isMobile = lessThan.md;
  return useMemo(function () {
    return {
      isMobile: isMobile,
      isCalculated: isCalculated
    };
  }, [isMobile, isCalculated]);
};

export default useIsMobile;