"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = require("react");

var _ResponsiveContext = _interopRequireDefault(require("./ResponsiveContext"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var useIsMobile = function useIsMobile() {
  var _useContext = (0, _react.useContext)(_ResponsiveContext["default"]),
      isCalculated = _useContext.isCalculated,
      lessThan = _useContext.lessThan;

  var isMobile = lessThan.md;
  return (0, _react.useMemo)(function () {
    return {
      isMobile: isMobile,
      isCalculated: isCalculated
    };
  }, [isMobile, isCalculated]);
};

var _default = useIsMobile;
exports["default"] = _default;
module.exports = exports.default;